Can't print after upgrading to Ubuntu 20.04

Asked by Ryan Fugger on 2020-08-18

Printer: HP LaserJet Professional M1212nf MFP over local network connection (wired)

Printer worked fine under Ubuntu 18.04. Upgraded to 20.04. Print jobs started failing.

I removed the apt hplip package, which was 3.20.3, and downloaded and installed 3.20.6 manually.

During installation, I got several of the following warnings:

    \Gtk-Message: 13:42:45.684: Failed to load module "canberra-gtk-module"

During plugin download phase, it could not connect to the keyserver. I downloaded without verification anyway and plugin installed ok. (I subsequently got it to download the verification key and install the verified plugin.)

During device setup, I got the following error:

Searching... (bus=net, timeout=5, ttl=4, search=(None) desc=0, method=slp)
error: Loading /usr/share/hplip/fax/plugins/fax_marvell.so failed. Try after installing plugin libraries

Run "hp-plugin" to installa plugin libraries if you are not automatically prompted

Traceback (most recent call last):
  File "/usr/share/hplip/ui5/setupdialog.py", line 1305, in NextButton_clicked
    self.showAddPrinterPage()
  File "/usr/share/hplip/ui5/setupdialog.py", line 729, in showAddPrinterPage
    self.readwriteFaxInformation()
  File "/usr/share/hplip/ui5/setupdialog.py", line 1100, in readwriteFaxInformation
    d = fax.getFaxDevice(self.fax_uri, disable_dbus=True)
  File "/usr/share/hplip/fax/fax.py", line 534, in getFaxDevice
    return MarvellFaxDevice(device_uri, printer_name, callback, fax_type, disable_dbus)
  File "/usr/share/hplip/fax/marvellfax.py", line 109, in __init__
    self.service.SendEvent(device_uri, printer_name, EVENT_FAX_FAILED_MISSING_PLUGIN, os.getenv('USER'), job_id, "Plugin is not installed")
AttributeError: 'NoneType' object has no attribute 'SendEvent'

hp-setup appeared to stall at that point and had to be closed before the print/fax queues dialog came up. A print queue was created anyway, but it appeared to have no properties and wasn't functional. No devices showed up in HP Device Manager. Obviously I can't print now.

Here is the output of hp-check -t:

hp-check[91575]: info: :
hp-check[91575]: info: :HP Linux Imaging and Printing System (ver. 3.20.6)
hp-check[91575]: info: :Dependency/Version Check Utility ver. 15.1
hp-check[91575]: info: :
hp-check[91575]: info: :Copyright (c) 2001-18 HP Development Company, LP
hp-check[91575]: info: :This software comes with ABSOLUTELY NO WARRANTY.
hp-check[91575]: info: :This is free software, and you are welcome to distribute it
hp-check[91575]: info: :under certain conditions. See COPYING file for more details.
hp-check[91575]: info: :
hp-check[91575]: info: :Note: hp-check can be run in three modes:
hp-check[91575]: info: :1. Compile-time check mode (-c or --compile): Use this mode before compiling the HPLIP supplied tarball (.tar.gz or .run) to determine if the proper dependencies are
hp-check[91575]: info: :installed to successfully compile HPLIP.
hp-check[91575]: info: :2. Run-time check mode (-r or --run): Use this mode to determine if a distro supplied package (.deb, .rpm, etc) or an already built HPLIP supplied tarball has the proper
hp-check[91575]: info: :dependencies installed to successfully run.
hp-check[91575]: info: :3. Both compile- and run-time check mode (-b or --both) (Default): This mode will check both of the above cases (both compile- and run-time dependencies).
hp-check[91575]: info: :
hp-check[91575]: info: :Check types:
hp-check[91575]: info: :a. EXTERNALDEP - External Dependencies
hp-check[91575]: info: :b. GENERALDEP - General Dependencies (required both at compile and run time)
hp-check[91575]: info: :c. COMPILEDEP - Compile time Dependencies
hp-check[91575]: info: :d. [All are run-time checks]
hp-check[91575]: info: :PYEXT SCANCONF QUEUES PERMISSION
hp-check[91575]: info: :
hp-check[91575]: info: :Status Types:
hp-check[91575]: info: : OK
hp-check[91575]: info: : MISSING - Missing Dependency or Permission or Plug-in
hp-check[91575]: info: : INCOMPAT - Incompatible dependency-version or Plugin-version
hp-check[91575]: info: :
hp-check[91575]: info: :
hp-check[91575]: info: :---------------
hp-check[91575]: info: :| SYSTEM INFO |
hp-check[91575]: info: :---------------
hp-check[91575]: info: :
hp-check[91575]: info: : Kernel: 5.4.0-42-generic #46-Ubuntu SMP Fri Jul 10 00:24:02 UTC 2020 GNU/Linux
 Host: thud
 Proc: 5.4.0-42-generic #46-Ubuntu SMP Fri Jul 10 00:24:02 UTC 2020 GNU/Linux
 Distribution: 12 20.04
hp-check[91575]: info: : Bitness: 64 bit

hp-check[91575]: info: :
hp-check[91575]: info: :-----------------------
hp-check[91575]: info: :| HPLIP CONFIGURATION |
hp-check[91575]: info: :-----------------------
hp-check[91575]: info: :
hp-check[91575]: info: :HPLIP-Version: HPLIP 3.20.6
hp-check[91575]: info: :HPLIP-Home: /usr/share/hplip
hp-check[91575]: info: :HPLIP-Installation: Auto installation is supported for ubuntu distro 20.04 version
hp-check[91575]: info: :
hp-check[91575]: info: :Current contents of '/etc/hp/hplip.conf' file:
hp-check[91575]: info: :# hplip.conf. Generated from hplip.conf.in by configure.

[hplip]
version=3.20.6

[dirs]
home=/usr/share/hplip
run=/var/run
ppd=/usr/share/ppd/HP
ppdbase=/usr/share/ppd
doc=/usr/share/doc/hplip-3.20.6
html=/usr/share/doc/hplip-3.20.6
icon=/usr/share/applications
cupsbackend=/usr/lib/cups/backend
cupsfilter=/usr/lib/cups/filter
drv=/usr/share/cups/drv/hp
bin=/usr/bin
apparmor=/etc/apparmor.d
# Following values are determined at configure time and cannot be changed.
[configure]
network-build=yes
libusb01-build=no
pp-build=no
gui-build=yes
scanner-build=yes
fax-build=yes
dbus-build=yes
cups11-build=no
doc-build=yes
shadow-build=no
hpijs-install=no
foomatic-drv-install=no
foomatic-ppd-install=no
foomatic-rip-hplip-install=no
hpcups-install=yes
cups-drv-install=yes
cups-ppd-install=no
internal-tag=3.20.6
restricted-build=no
ui-toolkit=qt5
qt3=no
qt4=no
qt5=yes
policy-kit=no
lite-build=no
udev_sysfs_rules=no
hpcups-only-build=no
hpijs-only-build=no
apparmor_build=yes
class-driver=no

hp-check[91575]: info: :
hp-check[91575]: info: :Current contents of '/var/lib/hp/hplip.state' file:
hp-check[91575]: info: :[plugin]
installed = 1
eula = 1
version = 3.20.6

hp-check[91575]: info: :
hp-check[91575]: info: :Current contents of '~/.hplip/hplip.conf' file:
hp-check[91575]: info: :[installation]
date_time = 08/18/20 13:42:44
version = 3.20.6

[upgrade]
notify_upgrade = true
last_upgraded_time = 1597781789
pending_upgrade_time = 0

[last_used]
device_uri = hp:/net/HP_LaserJet_Professional_M1212nf_MFP?ip=192.168.0.19
printer_name = HP_LaserJet_Professional_M1212nf_MFP

hp-check[91575]: info: : <Package-name> <Package-Desc> <Required/Optional> <Min-Version> <Installed-Version> <Status> <Comment>
hp-check[91575]: info: :
hp-check[91575]: info: :-------------------------
hp-check[91575]: info: :| External Dependencies |
hp-check[91575]: info: :-------------------------
hp-check[91575]: info: :
hp-check[91575]: info: : cups CUPS - Common Unix Printing System REQUIRED 1.1 2.3.1 OK 'CUPS Scheduler is running'
hp-check[91575]: info: : gs GhostScript - PostScript and PDF language interpreter and previewer REQUIRED 7.05 9.50 OK -
hp-check[91575]: info: : xsane xsane - Graphical scanner frontend for SANE OPTIONAL 0.9 0.999 OK -
hp-check[91575]: info: : scanimage scanimage - Shell scanning program OPTIONAL 1.0 1.0.29 OK -
hp-check[91575]: info: : dbus DBus - Message bus system REQUIRED - 1.12.16 OK -
hp-check[91575]: info: : policykit PolicyKit - Administrative policy framework OPTIONAL - 0.105 OK -
hp-check[91575]: info: : network network -wget OPTIONAL - 1.20.3 OK -
hp-check[91575]: info: : avahi-utils avahi-utils OPTIONAL - 0.7 OK -
hp-check[91575]: info: :
hp-check[91575]: info: :------------------------
hp-check[91575]: info: :| General Dependencies |
hp-check[91575]: info: :------------------------
hp-check[91575]: info: :
hp-check[91575]: info: : libjpeg libjpeg - JPEG library REQUIRED - - OK -
hp-check[91575]: info: : cups-devel CUPS devel- Common Unix Printing System development files REQUIRED - 2.3.1 OK -
hp-check[91575]: info: : cups-image CUPS image - CUPS image development files REQUIRED - 2.3.1 OK -
hp-check[91575]: info: : libpthread libpthread - POSIX threads library REQUIRED - b'2.31' OK -
hp-check[91575]: info: : libusb libusb - USB library REQUIRED - 1.0 OK -
hp-check[91575]: info: : sane SANE - Scanning library REQUIRED - - OK -
hp-check[91575]: info: : sane-devel SANE - Scanning library development files REQUIRED - - OK -
hp-check[91575]: info: : libnetsnmp-devel libnetsnmp-devel - SNMP networking library development files REQUIRED 5.0.9 5.8 OK -
hp-check[91575]: info: : libcrypto libcrypto - OpenSSL cryptographic library REQUIRED - 1.1.1 OK -
hp-check[91575]: info: : python3X Python 2.2 or greater - Python programming language REQUIRED 2.2 3.8.2 OK -
hp-check[91575]: info: : python3-notify2 Python libnotify - Python bindings for the libnotify Desktop notifications OPTIONAL - - OK -
hp-check[91575]: info: : python3-pyqt5-dbus PyQt 5 DBus - DBus Support for PyQt5 OPTIONAL 5.0 5.14.1 OK -
hp-check[91575]: info: : python3-pyqt5 PyQt 5- Qt interface for Python (for Qt version 4.x) REQUIRED 5.0 5.14.1 OK -
hp-check[91575]: info: : python3-dbus Python DBus - Python bindings for DBus REQUIRED 0.80.0 1.2.16 OK -
hp-check[91575]: info: : python3-xml Python XML libraries REQUIRED - 2.2.9 OK -
hp-check[91575]: info: : python3-devel Python devel - Python development files REQUIRED 2.2 3.8.2 OK -
hp-check[91575]: info: : python3-pil PIL - Python Imaging Library (required for commandline scanning with hp-scan) OPTIONAL - 7.0.0 OK -
hp-check[91575]: info: : python3-reportlab Reportlab - PDF library for Python OPTIONAL 2.0 3.5.34 OK -
hp-check[91575]: info: :
hp-check[91575]: info: :--------------
hp-check[91575]: info: :| COMPILEDEP |
hp-check[91575]: info: :--------------
hp-check[91575]: info: :
hp-check[91575]: info: : libtool libtool - Library building support services REQUIRED - 2.4.6 OK -
hp-check[91575]: info: : gcc gcc - GNU Project C and C++ Compiler REQUIRED - 9.3.0 OK -
hp-check[91575]: info: : make make - GNU make utility to maintain groups of programs REQUIRED 3.0 4.2.1 OK -
hp-check[91575]: info: :
hp-check[91575]: info: :---------------------
hp-check[91575]: info: :| Python Extentions |
hp-check[91575]: info: :---------------------
hp-check[91575]: info: :
hp-check[91575]: info: : cupsext CUPS-Extension REQUIRED - 3.20.6 OK -
hp-check[91575]: info: : hpmudext IO-Extension REQUIRED - 3.20.6 OK -
hp-check[91575]: info: :
hp-check[91575]: info: :----------------------
hp-check[91575]: info: :| Scan Configuration |
hp-check[91575]: info: :----------------------
hp-check[91575]: info: :
hp-check[91575]: info: : hpaio HPLIP-SANE-Backend REQUIRED - 3.20.6 OK 'hpaio found in /etc/sane.d/dll.conf'
hp-check[91575]: info: : scanext Scan-SANE-Extension REQUIRED - 3.20.6 OK -
hp-check[91575]: info: :
hp-check[91575]: info: :------------------------------
hp-check[91575]: info: :| DISCOVERED SCANNER DEVICES |
hp-check[91575]: info: :------------------------------
hp-check[91575]: info: :
hp-check[91575]: info: :No Scanner found.
hp-check[91575]: info: :
hp-check[91575]: info: :--------------------------
hp-check[91575]: info: :| DISCOVERED USB DEVICES |
hp-check[91575]: info: :--------------------------
hp-check[91575]: info: :
hp-check[91575]: info: :No devices found.
hp-check[91575]: info: :
hp-check[91575]: info: :---------------------------------
hp-check[91575]: info: :| INSTALLED CUPS PRINTER QUEUES |
hp-check[91575]: info: :---------------------------------
hp-check[91575]: info: :
hp-check[91575]: info: :
hp-check[91575]: info: :<email address hidden>
hp-check[91575]: info: :----------------------------------------------------
hp-check[91575]: info: :Type: Unknown
hp-check[91575]: info: :Device URI: implicitclass://HP_LaserJet_Professional_M1212nf_MFP%40NPI91F125.local/
hp-check[91575]: info: :PPD: /<email address hidden>
warning: Failed to read /<email address hidden> ppd file
hp-check[91575]: info: :PPD Description:
hp-check[91575]: info: :Printer status: printer <email address hidden> is idle. enabled since Tue 18 Aug 2020 12:56:28 PM
warning: Printer is not HPLIP installed. Printers must use the hp: or hpfax: CUPS backend for HP-Devices.
hp-check[91575]: info: :
hp-check[91575]: info: :
hp-check[91575]: info: :--------------
hp-check[91575]: info: :| PERMISSION |
hp-check[91575]: info: :--------------
hp-check[91575]: info: :
hp-check[91575]: info: :
hp-check[91575]: info: :-----------
hp-check[91575]: info: :| SUMMARY |
hp-check[91575]: info: :-----------
hp-check[91575]: info: :
hp-check[91575]: info: :Missing Required Dependencies
hp-check[91575]: info: :-----------------------------
hp-check[91575]: info: :None
hp-check[91575]: info: :
hp-check[91575]: info: :Missing Optional Dependencies
hp-check[91575]: info: :-----------------------------
hp-check[91575]: info: :None

hp-check[91575]: info: :
hp-check[91575]: info: :Total Errors: 0
hp-check[91575]: info: :Total Warnings: 1
hp-check[91575]: info: :
hp-check[91575]: info: :
hp-check[91575]: info: :Done.

Thanks for any help you can provide!

Question information

Language:
English Edit question
Status:
Solved
For:
HPLIP Edit question
Assignee:
No assignee Edit question
Solved by:
Ryan Fugger
Solved:
2020-08-18
Last query:
2020-08-18
Last reply:
Ryan Fugger (rfugger) said : #1

I have tried connection to HP web services using the local web interface on the printer, but I get the following error:

    Connection error. Check Internet connection.

Since I can connect to the printer from my laptop through the router, and my laptop's internet works fine, I am confused as to why the printer wouldn't be able to connect.

I should also mention that I when I initially tried to install hplip 3.20.6, it failed to install the pyqt5 dependency. This was because I had python2 installed, and it wasn't removed during the upgrade to Ubuntu 20.04. I removed python2, did an apt autoremove --purge, and then hplip appeared to install, with the errors noted above.

Ryan Fugger (rfugger) said : #2

I checked with a Windows machine, and the printer is working fine. I updated the firmware using the Windows tool.

I tried setting up the printer using "hp-setup -i -tprint" to avoid touching the misconfigured fax driver. This was successful. However, jobs no longer print, and simply stop, just as they did under the previous hplip version, 3.20.3... But the device appears to be functional in both Gnome settings panel and HP Device manager -- status indicates green/ok. Just no printing.

Ryan Fugger (rfugger) said : #3

I removed hplip completely, and to my surprise, devices showed up automatically in my Gnome printer list. They seem to work fine. I guess hplip isn't required at all for 20.04? Anyway, resolved.